Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8156779

GTK3: warning when running SwingNode applications

    Details

      Description

      To reproduce, run any SwingNode application as follows:

      $ java -Djdk.gtk.verbose=true -Djdk.gtk.version=3 ... MySwingNodeApp

      Loading GTK libraries version 3
      trying GTK library set libgtk-3.so.0, libgdk-3.so.0, libgdk_pixbuf-2.0.so.0
      using GTK library set libgtk-3.so.0, libgdk-3.so.0, libgdk_pixbuf-2.0.so.0

      (java:19742): Gdk-WARNING **: XSetErrorHandler() called with a GDK error trap pushed. Don't do that.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                pbansal Pankaj Bansal
                Reporter:
                kcr Kevin Rushforth
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated: